Sisimai::Reason::Filtered(3pm)

NAME
Sisimai::Reason::Filtered - Bounce reason is "filtered" or not.

SYNOPSIS
    use Sisimai::Reason::Filtered;
    print Sisimai::Reason::Filtered->match('550 5.1.2 User reject');   # 1

DESCRIPTION
"Sisimai::Reason::Filtered" checks the bounce reason is "filtered" or not. This class is called only "Sisimai::Reason" class.

This is the error that an email has been rejected by a header content after SMTP "DATA" command. In Japanese cellular phones, the error will incur that the sender's email address or the domain is rejected by recipient's email configuration. Sisimai will set "filtered" to the reason of email bounce if the value of "Status:" field in the bounce email is 5.2.0 or 5.2.1.

This error reason is almost the same as "UserUnknown".

    ... while talking to mfsmax.ntt.example.ne.jp.:
    >>> DATA
    <<< 550 Unknown user kijitora@ntt.example.ne.jp
    554 5.0.0 Service unavailable

CLASS METHODS

  "text()"
text() method returns the fixed string "filtered".

    print Sisimai::Reason::Filtered->text;  # filtered

  "match(string)"
match() method returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::Filtered->match('550 5.1.2 User reject');   # 1

  "true(Sisimai::Fact)"
true() method returns 1 if the bounce reason is "filtered". The argument must be "Sisimai::Fact" object and this method is called only from Sisimai::Reason class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2018,2020-2026 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.